Skip to content
WorkRoad home
REST API

Update notification settings

PATCH
/settings/notifications

Changes quiet hours, the digest, push content or calendar alarms. Change one notification kind with updateNotificationKind.

Required scopes: settings:update

Authorization

headerAuthorizationBearer <token>

Request Body

application/json
  1. body

Send only the fields to change. An omitted field stays as it is.

quietHoursEnabled?boolean
quietStart?string

HH:MM, such as 22:00.

quietEnd?string

HH:MM, such as 07:00.

pushShowContent?boolean
calendarAlarms?boolean
digestFrequency?string
Value in"OFF""DAILY""WEEKLY"
digestTime?string

HH:MM, such as 07:30.

digestWeekday?integer

0 for Sunday to 6 for Saturday.

Range0 <= value <= 6

Response Body

OK

application/json
  1. response
data*
Example Request
curl -X PATCH 'https://workroad.app/api/v1/settings/notifications' \  -H 'Authorization: Bearer $WORKROAD_API_KEY' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": {    "quietHoursEnabled": true,    "quietStart": "22:00",    "quietEnd": "07:00",    "pushShowContent": false,    "calendarAlarms": false,    "digestFrequency": "WEEKLY",    "digestTime": "07:30",    "digestWeekday": 1,    "emailSuppressedAt": null,    "emailSuppressedReason": null,    "emailVerified": true,    "kinds": [      {        "kind": "TASK_DUE",        "inApp": true,        "email": false,        "push": true,        "leadMinutes": 60,        "leadDays": [          1        ],        "localTime": "18:00"      },      {        "kind": "EXAM_SOON",        "inApp": true,        "email": true,        "push": true,        "leadMinutes": null,        "leadDays": [          3,          1        ],        "localTime": "18:00"      }    ]  }}